## ChangeLog

### 2020-06-10 - v0.6.94
- Réorganisation et mise à jour de la documentation.
- Utilisation d'un nouveau générateur de site.

### 2019-04-26 - v0.6.93
- Export avec encodage ISO-8859-15, fins de lignes CR+LF et séparateur ';'
pour une meilleure compatibilité avec Excel.
- Les tests avec plusieurs jeux d'essais montrent que le système de gestion
des priorités : peut améliorer la solution (5 fois sur 10), dégrader
la solution (2 fois sur 10) et donner un résultat identique en termes de
nombre d'élèves non affectés ou affectés en second choix (3 fois sur 10);
il serait intéressant de comparer les solutions en termes d'équilibrage du
nombre d'élèves par groupe.

### 2019-04-05 - v0.6.90
- Cette version est en rupture avec la précédente : elle a été conçue pour
traiter les voeux individuels et permettre un usage autonome (et simple) 
par plusieurs établissement, avec prise en compte de la problématique de 
confidentialité des données.
- A cette occasion,  l'algorithme de répartition a été amélioré par le 
calcul de priorités qui prennent en compte la rareté d'une spécialité 
(en termes de nombre de groupes et de places disponibles), et par le processus
d'équilibrage lors de la répartition des élèves.
- Modification de comportement : par défaut, une spécialité avec moins de 
12 élèves ouvre (en attente d'élèves en provenance d'autres établissements); 
pour la fermer, limiter son nombre de groupes à 0.

### 2019-02-07 - v0.5.60
- Priorisation des voeux 1 et 2 sur le voeu 3 en cas de nombre de place limité.
- Tentative d'équilibrage des effectifs des groupes d'une même spécialité.
- Affichage de statistiques de consommation de la DHG par spécialité.

### 2019-01-18 - v0.4.50
- Possibilité de paramétrer la taille des groupes classe et groupes 
non-dédoublés en fonction de la spécialité ; exemple : Maths : classes de 
35 élèves, SVT : classes de 35 (dédoublées pour les TP) ou de 24 (non-dédoublées).
- Possibilité de paramétrer un nombre limite de groupes par spécialité.
- Si moins de 12 élèves demandent une spécialité, cette dernière n'ouvre pas.
- Optimisation du nombre de groupes classe et groupes non dédoublés pour 
économiser des ressources.
- Prise en compte d'un quatrième voeux en première, au cas ou le troisième 
ne pourrait être satisfait.
- Test de plusieurs solutions (avec des critères de tris différents) avec 
sélection automatique de la meilleure (c'est à dire satisfaisant un maximum de voeux).
- Test de la solution (contrôle de conformité / cohérence).
- Transfer de la propriété intellectuelle au lycée La Colinière (logiciel libre).
    
### 2018-12-30 - v0.3.30
- Développement d'une interface web et documentation.

### 2018-12-23 - v0.2
- Réorganisation du code pour en faciliter la maintenance.

### 2018-12-19 - v0.1
- Version initiale en mode texte (mise au point des algorithmes).












